Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Mark Brown <[email-masked]>
Date: Fri, 27 Mar 2026 17:48:55 +0000

On Thu, Mar 26, 2026 at 02:36:50PM +0100, Christian Brauner wrote:
> On Wed, Mar 25, 2026 at 12:32:23PM +0000, Mark Brown wrote:

> > In file included from listns_efault_test.c:23:
> > ../pidfd/pidfd.h:229:19: error: static declaration of 'wait_for_pid' follows non-static declaration
> >   229 | static inline int wait_for_pid(pid_t pid)
> >       |                   ^~~~~~~~~~~~

> > I am continuing to use the tree from next-20260312.

> This should be fixed now. Sorry.

I'm still seeing this today.  I have:

84f524dca4b8bc9e9aca8ea1dbbd2aa3a239d998 Merge branch 'namespaces-7.1.misc' into vfs.all

as the vfs-brauner tree, I'm not seeing any new patches to the test case
there.